<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Order Detail</title>
</head>
<body>
<h1>Order {{object.pk}}</h1>
<div>
    <p>Order by {%firstof object.user.first_name object.user.username%}</p>
    <p>Promocode: {{object.promocode}}</p>
    <p>Delivery adress: {{object.delivery_adress}}</p>
    <p>PK: {{object.pk}}</p>
    <div>
        <p>Product in order:</p>
        <ul>
            {%for product in object.products.all%}
            <li>{{product.name}} for ${{product.price}}</li>
            {%endfor%}
        </ul>
    </div>
</div>

<div><a href="{% url 'shopapp:order_update' pk=object.pk %}">Update</a></div>
<div>
<a href="{% url 'shopapp:order_delete' pk=object.pk %}">Delete</a>
</div>
<div>
    <a href="{%url 'shopapp:orders'%}">Back</a>
</div>
</body>
</html>